API Doc
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
  1. 5.3 Payment - static order
  • Unified API Request Param
  • Unified Async Notification Param
  • Open API Common Code List
  • 1. Account
    • Country Code
    • 1.1 Balance Inquiry
      POST
    • 1.2 Report Download
      POST
  • 2. Philippines
    • 2.1 Payout
      • Payout Channel List
      • 2.1.1 Create Payout
      • 2.1.2 Check Payment Status
      • 2.1.3 Payout Notification
    • 2.2 Payment - dynamic order
      • Philippines Payment Channel List
      • 2.2.1 Create Payment
      • 2.2.2 Check Payment Status
      • 2.2.3 Payment Notification
    • 2.3 Payment - static order
      • Philippines Payment Channel List
      • 2.3.1 Create Payment
      • 2.3.2 Payment Code Detail
      • 2.3.3 Query Static Payment List
      • 2.3.4 Payment Notification
      • 2.3.5 PaymentCode Cancel
  • 3. Indonesia
    • 3.1 Payout
      • Disburse Channel List
      • 3.1.1 Create Payout
      • 3.1.2 Check Payout Status
      • 3.1.3 Payout Notification
    • 3.2 Payment - dynamic order
      • Indonesia Payment Channel List
      • 3.2.1 Create Payment
      • 3.2.2 Check Payment Status
      • 3.2.3 Payment Notification
    • 3.3 Payment - static order
      • Channel List
      • 3.3.1 Create Payment
      • 3.3.2 Payment Code Detail
      • 3.3.3 Query Static Payment List
      • 3.3.4 Payment Notification
  • 4. Malaysia
    • 4.1 Payout
      • Payout Channel List
      • 4.1.1 Create Payout
      • 4.1.2 Check Payout Status
      • 4.1.3 Payout Notification
    • 4.2 Payment
      • Malaysia Payment Channel List
      • 4.2.1 Create Payment
      • 4.2.2 Check Payment Status
      • 4.2.3 Payment Notification
  • 5. Thailand
    • 5.1 Payout
      • Payout Channel List
      • 5.1.1 Create Payout
      • 5.1.2 Check Payout Status
      • 5.1.3 Payout Notification
    • 5.2 Payment - dynamic order
      • Thailand Payment Channel List
      • Wechat Webpage Authorization Reference
      • Wechat Calls Payment Reference
      • 5.2.1 Create Payment
      • 5.2.2 Check Payment Status
      • 5.2.3 Payment Notification
    • 5.3 Payment - static order
      • Channel List
      • 5.3.1 Create Payment
        POST
      • 5.3.2 Payment Code Detail
        POST
      • 5.3.3 Query Static Payment List
        POST
      • 5.3.4 Payment Notification
        POST
  • 6. Russia
    • 6.1 Payment
      • Russia Payment Channel List
      • 6.1.1 Create Payment
      • 6.1.2 Check Payment Status
      • 6.1.3 Payment Notification
  • 7. Refund
    • Refund Support Channel List
    • Refund Status Enum
    • 7.1 Refund
    • 7.2 Get Refund Payments
    • 7.3 Refund Notification
  1. 5.3 Payment - static order

5.3.3 Query Static Payment List

POST
/open-api/thailand/static/payment/paymentList

Request

Body Params application/json

Example
{
    "appId": "b96f05030ffc411185c06f959e1c9210",
    "sign": "si54df97q89eta32d1fgg867g89q65t487a89dfnde6tq7q98e7t98ad453g2ry98are8a4d6s54f52a1d32g48r57q89789adf456a4d15fev",
    "param": "{\"timestamp\":1713436711,\"mchOrderId\":\"2103428033523116100\",\"startDate\":\"2024-04-10\",\"endDate\":\"2024-04-12\"}"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/open-api/thailand/static/payment/paymentList' \
--header 'Content-Type: application/json' \
--data-raw '{
    "appId": "b96f05030ffc411185c06f959e1c9210",
    "sign": "si54df97q89eta32d1fgg867g89q65t487a89dfnde6tq7q98e7t98ad453g2ry98are8a4d6s54f52a1d32g48r57q89789adf456a4d15fev",
    "param": "{\"timestamp\":1713436711,\"mchOrderId\":\"2103428033523116100\",\"startDate\":\"2024-04-10\",\"endDate\":\"2024-04-12\"}"
}'

Responses

🟢200成功
application/json
Body

Example
{
  "code": 10000,
  "message": "Success",
  "data": [
    {
      "transactionId": "CU4Y0897273572626432",
      "channelCode": "TH_THAILAND_STATIC_QR",
      "transactionCreateTime": "2024-04-10 16:52:52",
      "transactionReturnTime": "2024-04-10 16:52:52",
      "transactionAmount": 10000,
      "transactionStatus": "COMPLETED"
    },
    {
      "transactionId": "CU4Y0897145415667712",
      "channelCode": "TH_THAILAND_STATIC_QR",
      "transactionCreateTime": "2024-04-10 16:52:22",
      "transactionReturnTime": "2024-04-10 16:52:22",
      "transactionAmount": 10000,
      "transactionStatus": "COMPLETED"
    }
  ]
}
Previous
5.3.2 Payment Code Detail
Next
5.3.4 Payment Notification
Built with